# Generated from user_timezone-0.3.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name user_timezone

Name: rubygem-%{gem_name}
Version: 0.3.1
Release: 1%{?dist}
Summary: Detects a user's timezone based on their country/state/city/etc
License: MIT
URL: https://www.github.com/jayelkaake/user_timezone
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rails) >= 4.2
# BuildRequires: rubygem(rails) < 5
# BuildRequires: rubygem(rspec) >= 3.4
# BuildRequires: rubygem(rspec) < 4
BuildArch: noarch

%description
This gem lets you add a 'has_timezone' to a User, Contact or Account that has
a city, state, country or zip and it will add the #timezone attribute that
will automatically populate the timezone attribute.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/user_timezone.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 0.3.1-1
- Initial package
